MWAWGraphicStyle::Gradient::Stop Struct Reference

a structure used to define the gradient limit in MWAWGraphicStyle More...

`#include <MWAWGraphicStyle.hxx>`

## Public Member Functions

| Stop (float offset=0.0, MWAWColor const &col=MWAWColor::black(), float opacity=1.0)
| constructor
int | cmp (Stop const &a) const
| compare two gradient

## Public Attributes

float | m_offset
| the offset
MWAWColor | m_color
| the color
float | m_opacity
| the opacity

## Friends

std::ostream & | operator<< (std::ostream &o, Stop const &st)
| a print operator

## Detailed Description

a structure used to define the gradient limit in MWAWGraphicStyle

## Constructor & Destructor Documentation

## Stop()

MWAWGraphicStyle::Gradient::Stop::Stop | ( | float | offset = 0.0,
|  | MWAWColor const & | col = MWAWColor::black(),
|  | float | opacity = 1.0 )

inline explicit

constructor

Referenced by cmp(), and operator<<.

## Member Function Documentation

## cmp()

int MWAWGraphicStyle::Gradient::Stop::cmp | ( | Stop const & | a | ) | const

inline

compare two gradient

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Stop const & | st )

friend

a print operator

## Member Data Documentation

## m_color

MWAWColor MWAWGraphicStyle::Gradient::Stop::m_color

the color

Referenced by cmp(), operator<<, Canvas5StyleManager::readGradient(), and Stop().

## m_offset

float MWAWGraphicStyle::Gradient::Stop::m_offset

the offset

Referenced by cmp(), operator<<, Canvas5StyleManager::readGradient(), and Stop().

## m_opacity

float MWAWGraphicStyle::Gradient::Stop::m_opacity

the opacity

Referenced by cmp(), operator<<, and Stop().

The documentation for this struct was generated from the following file:

- MWAWGraphicStyle.hxx